List categories
curl --request GET \
--url https://connect.fordje.com/v1/categories \
--header 'X-API-Key: <api-key>'import requests
url = "https://connect.fordje.com/v1/categories"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://connect.fordje.com/v1/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response_type": "success",
"description": "Retrieved 5 category(ies)",
"data": {
"items": [
{
"id": 53,
"name": "Permitting"
},
{
"id": 57,
"name": "Building Standards"
},
{
"id": 63,
"name": "Inspections"
},
{
"id": 56,
"name": "Zoning & Land Use"
},
{
"id": 16,
"name": "Residential Solar - Product"
}
],
"pagination": {
"page": 1,
"page_size": 100,
"total": 14,
"total_pages": 1
}
}
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}Reference Data
List categories
Get a paginated list of categories. Categories classify data point types into regulatory topics.
GET
/
v1
/
categories
List categories
curl --request GET \
--url https://connect.fordje.com/v1/categories \
--header 'X-API-Key: <api-key>'import requests
url = "https://connect.fordje.com/v1/categories"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://connect.fordje.com/v1/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response_type": "success",
"description": "Retrieved 5 category(ies)",
"data": {
"items": [
{
"id": 53,
"name": "Permitting"
},
{
"id": 57,
"name": "Building Standards"
},
{
"id": 63,
"name": "Inspections"
},
{
"id": 56,
"name": "Zoning & Land Use"
},
{
"id": 16,
"name": "Residential Solar - Product"
}
],
"pagination": {
"page": 1,
"page_size": 100,
"total": 14,
"total_pages": 1
}
}
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}Authorizations
Query Parameters
Page number
Required range:
x >= 1Items per page (max 500)
Required range:
1 <= x <= 500Response
Paginated list of categories
Standard response envelope for all Fordje Connect API endpoints.
Was this page helpful?